LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPrimitive2D Interface Reference

XPrimitive2D interface. More...

`import"XPrimitive2D.idl";`

Inheritance diagram for XPrimitive2D:

## Public Member Functions
sequence< XPrimitive2D > | getDecomposition ([in] sequence< ::com::sun::star::beans::PropertyValue > aViewParameters)
| Retrieve decomposed list of simpler primitives. More...
::com::sun::star::geometry::RealRectangle2D | getRange ([in] sequence< ::com::sun::star::beans::PropertyValue > aViewParameters)
| Retrieve bound rect of primitive. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

XPrimitive2D interface.

This is the basic interface for 2D graphic primitives. They need to be able

- to provide a decomposition consisting of simpler graphic primitives
- to provide a 2D bound rectangle as a 2D range

## Member Function Documentation

## ◆ getDecomposition()

sequence< XPrimitive2D > getDecomposition | ( | [in] sequence< ::com::sun::star::beans::PropertyValue > | aViewParameters | ) |

Retrieve decomposed list of simpler primitives.

Parameters

  aViewParameters | 2D View-specific parameter set. The defined but not mandatory parameters include:

com::sun::star::geometry::AffineMatrix2D Transformation

A transformation matrix which maps between world coordinates (which is equal to object's local coordinates) to view coordinates. If not defined, an empty transformation is implied.

com::sun::star::geometry::RealRectangle2D Viewport

Defines the visible part of the view in world coordinates. May be used to optimize decompositions, e.g. for 3D scenes only the visible part needs to be created. If not given, an empty Viewport is implied which means all is visible.

double Time

Defines the point in time for which the geometry is defined. This may lead to varied results for animated objects. This value is defined in the range [0.0 .. n[, negative values are not allowed. If not given, a value of 0.0 is implied.

## ◆ getRange()

::com::sun::star::geometry::RealRectangle2D getRange | ( | [in] sequence< ::com::sun::star::beans::PropertyValue > | aViewParameters | ) |

Retrieve bound rect of primitive.

This method calculates the actual bound rect of the area in world coordinates. Note that for view-dependent primitives, the necessary pixel adjustments are taken into account. For that reason the ViewParameters need to be given.

Parameters

  aViewParameters | 2D View-specific parameter set, same as in getDecomposition.

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XPrimitive2D.idl